Bug 442016 - Could not decode stream
Could not decode stream
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: totem (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 06:02 EDT by Milos Malik
Modified: 2009-04-07 11:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 11:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-04-11 06:02:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
Totem starts playing the clip, but after a few seconds it stops and announces error "Could not decode stream". Totem firefox plugin behaves the same way (go to http://commons.wikimedia.org/wiki/Image:Extraitexplo.ogg )

On the other hand VLC and MPlayer play the entire clip.

Version-Release number of selected component (if applicable):
totem-2.16.7-4.el5

How reproducible:
Always


Steps to Reproduce:
1. wget -t0 http://upload.wikimedia.org/wikipedia/commons/2/2f/Extraitexplo.ogg
2. totem Extraitexplo.ogg


Actual Results:
After a few seconds of playing the clip the player stops with error message.

Expected Results:
The player plays the whole clip.

Additional info:
The problem was observed on following machines:

z208.z900.redhat.com
intel-s6e5231-01.rhts.boston.redhat.com
ibm-p5-185-01.rhts.boston.redhat.com
intel-s3e8141-01.rhts.boston.redhat.com
sun-x4200-01.rhts.boston.redhat.com
ibm-pizzaro.rhts.boston.redhat.com
nec-em11.rhts.boston.redhat.com

These machines contained RHEL5.2-Server-20080402.0 or RHEL5.2-Client-20080402.0 distros and were installed by RHTS.

After installation following actions were done:

ssh root@<machine>
# yum install switchdesk
# yum groupinstall "GNOME Desktop Environment"
# switchdesk GNOME
# yum install firefox
# yum install totem-mozplugin
# yum install vnc-server
# useradd testuser
# passwd testuser
# logout
ssh testuser@<machine>
$ vncserver
$ logout
connect with VNC client from your machine to one of those and you'll see
Comment 1 Bastien Nocera 2008-09-01 07:27:43 EDT
Please test with the updated GStreamer packages in RHEL 5.3

Note You need to log in before you can comment on or make changes to this bug.